[0m


uil(1)		    UNIX Programmer's Manual		   uil(1)



[1mNAME
     uil [0m- user interface language compiler for X window system

[1mSYNOPSIS
     uil [0m[ _o_p_t_i_o_n_s ] _f_i_l_e

[1mDESCRIPTION
     [0mThe [1muil [0mcommand invokes the [1muil [0mcompiler.	The user inter-
     face language ([1muil[0m) is a specification language for describ-
     ing the initial state of a user interface for a Motif appli-
     cation.  The specification describes the objects (menus,
     dialog boxes, labels, push buttons, and so on) used in the
     interface and specifies the routines to be called when the
     interface changes state as a result of user interaction.

     _f_i_l_e      Specifies the file to be compiled through the [1muil
	       [0mcompiler.

     _o_p_t_i_o_n_s   Specifies one or more of the following options:

	       -I_p_a_t_h_n_a_m_e  This option causes the compiler to
			   look for include files in the direc-
			   tory specified if the include files
			   have not been found in the paths that
			   have already been searched.	Specify
			   this option followed by a pathname,
			   with no intervening spaces.

	       -m	   Machine code is listed.  This directs
			   the compiler to place in the listing
			   file a description of the records that
			   it added to the [1muid [0mdatabase.  This
			   helps you isolate errors.  The default
			   is no machine code.

	       -o _f_i_l_e	   Directs the compiler to produce a user
			   interface database ([1muid[0m).  By default,
			   [1muil [0mcreates a [1muid [0mwith the name [1ma.uid[0m.
			   The file specifies the filename for
			   the [1muid[0m.  No [1muid [0mis produced if the
			   compiler issues any diagnostics
			   categorized as error or severe.

	       -v _f_i_l_e	   Directs the compiler to generate a
			   listing. The file specifies the
			   filename for the listing.  If the [1m-v
			   [0moption is not present, no listing is
			   generated by the compiler.  The
			   default is no listing.

	       -w	   Specifies that the compiler suppress
			   all warning and informational



Printed 31/1/92                                                 1






uil(1)		    UNIX Programmer's Manual		   uil(1)



			   messages.  If this option is not
			   present, all messages will be gen-
			   erated, regardless of the severity.

     For more information about [1muil [0msyntax, see the _O_S_F/_M_o_t_i_f
     _P_r_o_g_r_a_m_m_e_r'_s _G_u_i_d_e.

[1mRELATED INFORMATION
     X(1)[0m, [1mUil(3Xm)














































[0mPrinted 31/1/92                                                 2



[0m